Announcement on the Authentication Upgrade for Certain CLB APIs

Last updated: 2021-04-22 11:44:48

    CLB will upgrade the authentication feature for certain APIs on April 27, 2021 (Beijing time). After the upgrade, sub-users need to apply for CAM policy authorization from the root account to use the upgraded APIs, or the API calls may fail.

    APIFeature
    DescribeClassicalLBByInstanceIdQueries the classic CLB instances bound to a real server
    ReplaceCertForLoadBalancersReplaces the certificate associated with a CLB instance
    DescribeLoadBalancerListByCertIdQueries CLB instances by a certificate ID
    DescribeQuotaQueries quotas
    DescribeBlockIPListQueries the IP blocklist of a CLB instance
    DescribeBlockIPTaskQueries the execution status of an async IP blocking task
    ModifyBlockIPListModifies the IP blocklist of a CLB instance

    Authorizing Sub-users

    Please complete the policy authorization for your sub-users as instructed below to prevent failed calls to the upgraded APIs.

    1. Log in to the CAM console.
    2. Click Policies on the left sidebar.
    3. Click All Policies.
    4. Click Associate Users/Groups on the right of the target policy.
    5. In the pop-up window, select target users from the box on the left to the Selected box on the right, and click Confirm.
    6. It is optional: if you need to associate a user group, please click Switch to User Groups -> User Groups in the pop-up window, and repeat the operations in step 5.